<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.4.6
 * @author		hikashop.com
 * @copyright	(C) 2010 HIKARI SOFTWARE. All rights reserved.
 * @license		http://www.hikashop.com/commercial_license.php
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="hikashop_systempay_end" id="hikashop_systempay_end">
	<span id="hikashop_systempay_end_message" class="hikashop_systempay_end_message">
		<?php echo JText::_('PLEASE_WAIT_BEFORE_REDIRECTION_TO_BLUEPAID').'<br/>'. JText::_('CLICK_ON_BUTTON_IF_NOT_REDIRECTED');?>
	</span>
	<span id="hikashop_systempay_end_spinner" class="hikashop_systempay_end_spinner">
		<img src="<?php echo HIKASHOP_IMAGES.'spinner.gif';?>" />
	</span>
	<br/>
	<form id="hikashop_systempay_form" name="hikashop_bluepaid_form" action="https://systempay.cyberpluspaiement.com/vads-payment/" method="post">
		<div id="hikashop_systempay_end_image" class="hikashop_systempay_end_image">
			<input id="hikashop_systempay_button" type="submit" value="<?php echo JText::_('PAY_ON_SYSTEMPAY');?>" name="" alt="Click to pay with systempay" />
		</div>
		<?php
			foreach( $vars as $name => $value ) {
				echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars($value).'" />';
			}
			$doc =& JFactory::getDocument();
			$doc->addScriptDeclaration("window.addEvent('domready', function() {document.getElementById('hikashop_systempay_form').submit();});");
			JRequest::setVar('noform',1);
		?>
	</form>
</div>